Bug 89960 - proc directive in snmpd.conf fails after recent kernel upgrade
Summary: proc directive in snmpd.conf fails after recent kernel upgrade
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-snmp   
(Show other bugs)
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-30 11:36 UTC by Per Steinar Iversen
Modified: 2015-03-05 01:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-07 12:18:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Per Steinar Iversen 2003-04-30 11:36:21 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
After recent kernel upgrades where ps now show the process name surrounded by
square brackets then the proc directive in snmpd.conf does not work any more.
This seems to apply to both RH 8 and RH 9. A search on Google reveals that
others have the same problem:

http://groups.google.com/groups?hl=en&lr=&ie=UTF-8&oe=UTF-8&threadm=b5svmf%24282h%241%40FreeBSD.csie.NCTU.edu.tw&rnum=2&prev=/groups%3Fhl%3Den%26lr%3D%26ie%3DUTF-8%26oe%3DUTF-8%26q%3Dproc%2Bnet-snmp%2Bredhat%26btnG%3DGoogle%2BSearch



Version-Release number of selected component (if applicable):
net-snmp-5.0.6-17

How reproducible:
Always

Steps to Reproduce:
1. Upgrade kernel on RH 8 or just run RH 9
2. Add proc directive to snmpd.conf
3. No processes are counted by snmpd when queried.
    

Actual Results:  No count of processes obtained.

Expected Results:  snmpd should report the process that is watched.

Additional info:

Comment 1 Phil Knirsch 2003-08-07 12:18:37 UTC
Fixed in net-snmp-5.0.8-7 and later.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.